<?php
/* Mantenimiento de los registros de la tabla STE_ServicioTecnico redefinidos por el usaurio */
class STE_ServicioTecnicoDP extends BaseSTE_ServicioTecnicoDP
{
    public static function recuperarId()
    {
        $s_Sql = "SELECT IF( MAX( IdServicio ) IS NULL, 1, MAX( IdServicio ) + 1 ) i_Id FROM STE_ServicioTecnico;";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        return $o_ResultSet->getInt( 'i_Id' );
    }
}
?>